# dkim_sig_getsigntime()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_sig_getsigntime(
    	DKIM_SIGINFO *sig,
            uint64_t *when
    );

Retrieve the signature timestamp used to sign a message after verification.

DESCRIPTION

Called When | `dkim_sig_getsigntime()` is called after either an explicit call to `dkim_sig_process()` or completion of `dkim_eom()` to get the timestamp included in the signature of a message.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.
time | A pointer to a `uint64_t` that will receive the timestamp of the signature on the message. The value is computed the same way as a `time_t`, but allows for larger integers.

RETURN VALUES

Value | Description
--- | ---
`DKIM_STAT_INVALID` | The signature referenced by the `DKIM_SIGINFO` handle did not contain a signature with a timestamp.
`DKIM_STAT_OK` | Successful completion.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.